<?
	$watermark=new watermark(getbookimg($bid));
  $watermark->set('is_output',true);
  $watermark->set('mark_pct',70);//水印透明度
  $watermark->set('mark_style',0);//水印位置 0：随即 1：左上 2：右上 3：中间 4：左下 5：右下 
  $watermark->markpic(HON6_ROOT.'/models/book/images/watermark.jpg');
  
  function getbookimg($bid){
			$bid = isset($bid)?intval($bid):0; 
			$dirid = intval($bid/1000);
			$imgdir = PRO_ROOT."/files/article/image/".$dirid."/".$bid."/";
			if(is_dir($imgdir)){
					if($handle = opendir($imgdir)){
							$i = 0;
							/*扫描用户文件个数并返回文件名*/
      				while(($file = readdir($handle)) !== false){
       						if($file!="." && $file!=".."){
       								$filename = $file;
       								$i = $i + 1;
       						}
      				}
      				if($i == 1){
      						/*当用户数据文件为一个时，即正常*/
      						return $imgdir.$filename;
      				}else{
									return false;
      				}
      				closedir($handle);
					}else{
								return false;	
					}
			}else{
					return false;	
			}
	}
	exit();
?>